Bug 1168336 - UI: Missing routes error on Infra/Cloud Provider & Resource Pool list views when user has saved searches
Summary: UI: Missing routes error on Infra/Cloud Provider & Resource Pool list views w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.3.2
Assignee: Harpreet Kataria
QA Contact: Aziza Karol
URL:
Whiteboard:
Depends On:
Blocks: 1168337
TreeView+ depends on / blocked
 
Reported: 2014-11-26 17:15 UTC by Harpreet Kataria
Modified: 2015-03-23 16:07 UTC (History)
2 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1168337 (view as bug list)
Environment:
Last Closed: 2015-01-14 19:43:55 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Description Harpreet Kataria 2014-11-26 17:15:12 UTC
Description of problem: Missing routes for (listnav_search_selected & save_default_search) error on Infra/Cloud Provider & Resource Pool list views when user has saved searches


Version-Release number of selected component (if applicable):


How reproducible:100%


Steps to Reproduce:
1. Go To Infra Providers list view screen
2. Go to advanced search, create a new search and Save it
3. Now try to go to Infra Provider list view it blows up with missing route error:
FATAL -- : Error caught: [ActionController::RoutingError] No route matches {:action=>"listnav_search_selected", :id=>10000000001160, :button=>"apply", :controller=>"resource_pool"}
4. Pressing apply button on advanced search button ended up in missing route error as well:
FATAL -- : Error caught: [ActionController::RoutingError] No route matches {:action=>"save_default_search", :id=>10000000001163, :controller=>"ems_infra"}

Same steps apply for other 2 CIs as well.

Actual results: Missing route error.


Expected results: List view screen should load properly


Additional info:

Comment 1 CFME Bot 2014-11-26 21:01:44 UTC
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c0afa531634ccfce7fbfbdeec08aad6cb9f6598c

commit c0afa531634ccfce7fbfbdeec08aad6cb9f6598c
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Nov 20 17:22:41 2014 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Nov 26 14:11:19 2014 -0500

    Added missing search related routes.
    
    - Added missing routes to routes & specs tests.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1168337
    https://bugzilla.redhat.com/show_bug.cgi?id=1168336

 vmdb/config/routes.rb                           | 12 +++--
 vmdb/spec/routing/ems_cloud_routing_spec.rb     | 60 ++++++++++------------
 vmdb/spec/routing/ems_infra_routing_spec.rb     | 67 ++++++++++---------------
 vmdb/spec/routing/resource_pool_routing_spec.rb | 33 ++++++------
 4 files changed, 80 insertions(+), 92 deletions(-)

Comment 2 CFME Bot 2014-11-26 22:21:00 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=7b9a580abaa0b0352b4075dfabdd556c1ef0e043

commit 7b9a580abaa0b0352b4075dfabdd556c1ef0e043
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 26 14:11:19 2014 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Nov 26 17:20:22 2014 -0500

    Added missing search related routes.
    
    - Added missing routes to routes & specs tests.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1168337
    https://bugzilla.redhat.com/show_bug.cgi?id=1168336
    (cherry picked from commit c0afa53)

 vmdb/config/routes.rb                           |  6 +++
 vmdb/spec/routing/ems_cloud_routing_spec.rb     | 60 ++++++++++------------
 vmdb/spec/routing/ems_infra_routing_spec.rb     | 67 ++++++++++---------------
 vmdb/spec/routing/resource_pool_routing_spec.rb | 33 ++++++------
 4 files changed, 77 insertions(+), 89 deletions(-)

Comment 4 Aziza Karol 2014-12-22 07:38:39 UTC
Fixed. List view screen should load properly

verified:
5.3.2.5.20141218144833_50406a5

Comment 6 errata-xmlrpc 2015-01-14 19:43:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.